<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    
    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.2/dist/css/bootstrap.min.css" integrity="sha384-T3c6CoIi6uLrA9TneNEoa7RxnatzjcDSCmG1MXxSR1GAsXEV/Dwwykc2MPK8M2HN" crossorigin="anonymous">
    <!-- Custom styles -->
    <link rel="stylesheet" href="style.css" type="text/css"> 
</head>
<body>
    <!-- Nav Bar -->
    <nav class="navbar navbar-expand-lg navbar-light bg-light">
        <a class="navbar-brand" href="#">TripSmart</a>
        <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
            <span class="navbar-toggler-icon"></span>
        </button>
    
        <div class="collapse navbar-collapse" id="navbarSupportedContent">
            <ul class="navbar-nav mr-auto">
                <li class="nav-item active">
                    <a class="nav-link" href="/">Home</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" href="destinations.html">Destinations</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" href="pointsofinterest.html">Points of Interest</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" href="hotels.html">Hotels</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" href="about.html">About</a>
                </li>
            </ul>
        </div>
    </nav>

    <!-- Hotels -->
    <div class="container">
        <div class="row">
            <div class="col">
                <h2> Popular Hotels</h2>
                <!-- param: hotel_list (type: list)
                     hotel_list includes all of the hotels found from the api call, so
                     we loop through them and create a card for each hotel. -->
                {% for hotel in hotel_list %}
                    <div class="card" style="max-width: 50%;">
                        <div class="card-body">
                            <h5 class="card-title"> Hotel/Accommodation </h5>
                            <!-- In case there was no photo url provided, we just display text that 
                                 says no photo available -->
                            {% if hotel.photo_url %}
                                <img src="{{ hotel.photo_url }}" alt="Photo" style="max-width: 100%;">
                            {% else %}
                                No photo available
                            {% endif %}
                            <h4>{{ hotel.name }}</h4><br>
                            <p>
                                Vicinity: {{ hotel.vicinity }}<br>
                                Rating: {{ hotel.rating }}<br>
                                Total Ratings: {{ hotel.user_ratings_total }}<br>
                            </p>
                        <a href="" class="btn btn-primary">Explore Points of Interest</a>
                        </div>
                    </div>
                {% endfor %}          
            </div>
        </div>
    </div>
</body>
</html>